<template>
  <drawer
    :showDrawer="this.drawerView"
    :showHeader="true"
    :showFooter="false"
    :showBtnClose="true"
    :size="'40%'"
    :title="'Visualização'"
    :description="'Dados do usuário'"
    @emit-drawer-closed="handleCloseDrawer"
  >
    <dir class="text-center">
      <b-avatar size="80" :src="this.user.user_avatar"></b-avatar>
      <h4 class="p-0 m-0">{{ this.user.user_username }}</h4>
      <span>{{ this.user.user_email }}</span>
    </dir>
    <table class="table table-sm">
      <tr>
        <td>
          <small>Nome completo</small>
        </td>
        <td>{{ this.user.user_username }}</td>
      </tr>
      <tr>
        <td>
          <small>E-mail</small>
        </td>
        <td>{{ this.user.user_email }}</td>
      </tr>
      <tr>
        <td>
          <small>CPF</small>
        </td>
        <td>{{ this.user.user_cpf }}</td>
      </tr>
      <tr>
        <td>
          <small>RG</small>
        </td>
        <td>{{ this.user.user_rg }}</td>
      </tr>
      <tr>
        <td>
          <small>Ativo</small>
        </td>
        <td>
          <a-button
            :type="this.user.st_registry_active == 'S' ? 'primary': ''"
            shape="round"
            size="small"
          >{{this.user.st_registry_active | filter-registry-active}}</a-button>
        </td>
      </tr>
      <tr>
        <td>
          <small>Data de cadastro</small>
        </td>
        <td>{{ this.user.created }}</td>
      </tr>
      <tr>
        <td>
          <small>Última atualização</small>
        </td>
        <td>{{ this.user.modified }}</td>
      </tr>
    </table>
    <div
      :style="{
          position: 'absolute',
          right: 0,
          bottom: 0,
          width: '100%',
          borderTop: '1px solid #e9e9e9',
          padding: '10px 16px',
          background: '#fff',
          textAlign: 'center',
          zIndex: 1,
        }"
    >
      <a-button :style="{ marginRight: '8px' }" @click="handleCloseDrawer">Fechar</a-button>
      <a-button type="primary">
        <a-icon type="edit" />Editar
      </a-button>
    </div>
  </drawer>
</template>

<script>
import Drawer from "@/components/generic-components/drawer/drawer";
import "@/filters/generic-filters/filter-registry-active";
export default {
  props: ["user", "drawerView"],
  components: {
    Drawer,
  },
  methods: {
    handleCloseDrawer() {
      this.$emit("emit-close-drawer", false);
    },
  },
};
</script>
